From 1958c21906c4488e3190731242fecaa3d5a90378 Mon Sep 17 00:00:00 2001
From: Pierre d'Herbemont <pdherbemont@videolan.org>
Date: Sun, 15 Jun 2008 20:19:04 +0200
Subject: [PATCH] threads: Remove the pthread_detach() hack.

---
 src/misc/threads.c |    8 +-------
 1 files changed, 1 insertions(+), 7 deletions(-)

diff --git a/src/misc/threads.c b/src/misc/threads.c
index a7ab5c0..843162d 100644
--- a/src/misc/threads.c
+++ b/src/misc/threads.c
@@ -674,13 +674,7 @@ void __vlc_thread_join( vlc_object_t *p_this, const char * psz_file, int i_line
     int i_ret = 0;
 
 #if defined( LIBVLC_USE_PTHREAD )
-    /* Make sure we do return if we are calling vlc_thread_join()
-     * from the joined thread */
-    if (pthread_equal (pthread_self (), p_priv->thread_id))
-        i_ret = pthread_detach (p_priv->thread_id);
-    else
-        i_ret = pthread_join (p_priv->thread_id, NULL);
-
+    i_ret = pthread_join (p_priv->thread_id, NULL);
 #elif defined( UNDER_CE ) || defined( WIN32 )
     HMODULE hmodule;
     BOOL (WINAPI *OurGetThreadTimes)( HANDLE, FILETIME*, FILETIME*,
-- 
1.5.5.63.ga17b1

